# Basic operations

In GEOM you can perform basic operations with geometrical objects aimed at creation of more complex shapes. These operations are:

- Partition

- Archimede

- Fillet

- Chamfer

To perform basic operations on geometrical objects:

In the main menu select Operations.

Partition

Description: Builds a shape by intersection.

Result: GEOM_Shape.

TUI Command: geompy.Partition(ListOfIOR, ListOfIOR)

Arguments: Up to 4 shapes + reconstruction limit.

Dialog Box:

Example:

Archimede

Description: Creates a plane corresponding to the modeled water-line of the object plunged into the water (in Z direction).

Result: GEOM_Shape.

TUI Command: geompy.Archimede(GEOM_Shape, Double, Double, Double)

GUI Arguments: 1 shape + 3 values (Weight, Water Density & Meshing Deflection).

Dialog Box:

Example:

Fillet

Description: Make fillets of the edges of a shape.

Result: GEOM_Shape.

TUI Command: geompy.MakeFillet(GEOM_Shape, Double, Short, ListOfSubShapeID)

Arguments:

- 1st Constructor: 1 shape + 1 value (fillet radius).

- 2nd Constructor: 1 SHAPE + 1 Selection of edges + 1 values (Fillet radius).

- 3rd Constructor: 1 SHAPE + 1 Selection of faces + 1 values (Fillet radius).

Dialog Box:

Example:

Chamfer

Description: Makes chamfer of the edges of a Shape.

Result: GEOM_Shape.

TUI Command: geompy.MakeChamfer(GEOM_Shape, Double, Double, Short, ListOfSubShapeID)

Arguments:

- 1st Constructor : 1 SHAPE + 2 values (Chamfer dimensions).

- 2nd Constructor : 1 SHAPE + 1 Selection of EDGE + 2 values (Chamfer dimensions).

- 3rd Constructor : 1 SHAPE + 1 Selection of FACE + 2 values (Chamfer dimensions).

Dialog Box:

Example: